Bug 860011 - JMS client: node binding not created for topic node
JMS client: node binding not created for topic node
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
2.2
Unspecified Unspecified
high Severity high
: 2.3
: ---
Assigned To: Rajith Attapattu
Petr Matousek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 11:28 EDT by Justin Ross
Modified: 2013-03-06 13:51 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-java-0.18-5
Doc Type: Bug Fix
Doc Text:
Cause: x-bindings are not evaluated as defined the address spec Consequence: For producers x-bindings are not created at all. Link bindings are not created/deleted for both producers and consumers as per the address spec. Fix: x-bindings now evaluated as defined by the addressing spec. Result: x-bindings can now be created for both producers and consumers for both node and links.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:51:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-3317 None None None 2012-10-02 13:26:51 EDT

  None (edit)
Description Justin Ross 2012-09-24 11:28:56 EDT
See https://issues.apache.org/jira/browse/QPID-4146
Comment 1 Justin Ross 2012-10-02 13:26:51 EDT
(In reply to comment #0)
> See https://issues.apache.org/jira/browse/QPID-4146

Correction, the issue is https://issues.apache.org/jira/browse/QPID-3317
Comment 3 Rajith Attapattu 2012-10-18 09:09:49 EDT
A fix has been made in upstream
http://svn.apache.org/viewvc?rev=1397651&view=rev

You could test this as follows, using drain

1. Create my-queue
   Drain "my-queue;{create:always}"

2. Then use the following address

   Drain "my-exchange; {create: always, node: {type:topic, x-bindings: [{exchange : 'my-exchange',queue: 'my-queue', key : test}]}}"

Look at the broker logs and verify that a binding is create for my-queue to exchange 'my-exchange' using binding key 'test'.
Comment 4 Petr Matousek 2012-10-26 12:35:45 EDT
(In reply to comment #3)
> 2. Then use the following address
> 
>    Drain "my-exchange; {create: always, node: {type:topic, x-bindings:
> [{exchange : 'my-exchange',queue: 'my-queue', key : test}]}}"

Actually the reproduction scenario is wrong and works well, java producer must be used to reproduce this issue. Use Spout instead of drain on creating the binding.
Comment 7 Rajith Attapattu 2012-10-31 14:17:26 EDT
The commit made under QPID-3317 covers a whole lot of BZ including this one.
The commit refactored the address handling code to remove a bunch of long standing issues.

Here is a complete list of BZ fixed by QPID-3317

https://bugzilla.redhat.com/show_bug.cgi?id=694226
https://bugzilla.redhat.com/show_bug.cgi?id=860011
https://bugzilla.redhat.com/show_bug.cgi?id=735329
https://bugzilla.redhat.com/show_bug.cgi?id=672534
https://bugzilla.redhat.com/show_bug.cgi?id=758254
Comment 8 Rajith Attapattu 2012-10-31 14:48:36 EDT
The original fix made to QPID-4146 was just a workaround.
The fix made in QPID-3317 fixed this properly afterwards.

The issue mentioned in this BZ (QPID-4146) is a good way to test QPID-3317 as well.
Comment 9 Petr Matousek 2012-11-01 07:07:40 EDT
(In reply to comment #7)
> The commit made under QPID-3317 covers a whole lot of BZ including this one.
> The commit refactored the address handling code to remove a bunch of long
> standing issues.
> 
> Here is a complete list of BZ fixed by QPID-3317
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=694226
> https://bugzilla.redhat.com/show_bug.cgi?id=860011
> https://bugzilla.redhat.com/show_bug.cgi?id=735329
> https://bugzilla.redhat.com/show_bug.cgi?id=672534
> https://bugzilla.redhat.com/show_bug.cgi?id=758254

Rajith, thanks for clarification, but from my point of view no bugzilla listed above properly covers the issue in description of QPID-3317 (JMS client doesn't distinguish between node and link bindings), anyway I'll test it as a part of this bz as well.
Comment 10 Petr Matousek 2013-01-18 09:06:59 EST
This issue has been fixed.

JMS client distinguish between node and link bindings well.
Node bindings can be successfully created for topic nodes.

Verified on rhel5.9, rhel6.4 Beta (i386 / x86_64)

Packages used for testing:
qpid-java-*-0.18-6.el5

-> VERIFIED
Comment 12 errata-xmlrpc 2013-03-06 13:51:59 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0561.html

Note You need to log in before you can comment on or make changes to this bug.